Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Prolifiration of specialized build sysems [rant]
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3  Next  
Reply to topic    Gentoo Forums Forum Index Gentoo Chat
View previous topic :: View next topic  
Author Message
Tony0945
Advocate
Advocate


Joined: 25 Jul 2006
Posts: 4292
Location: Illinois, USA

PostPosted: Sun Sep 20, 2020 2:40 pm    Post subject: Reply with quote

Don't want sphinx either or man-pages if they require all that crud.

In my case it was llvm requiring nearly a dozen sphinx and sphinx dependency packages.
I don't want llvm either but it's a dependency of mesa which I also don't want but that's a dependency of xorg-server that I do want.

Maybe i can have mesa only on my fastest machine, build it with all of my video cards and package it as a local mesa-bin?
Or use a bin package from say Calculate Linux and repackage it as a bin?
Back to top
View user's profile Send private message
Hu
Moderator
Moderator


Joined: 06 Mar 2007
Posts: 16216

PostPosted: Sun Sep 20, 2020 4:09 pm    Post subject: Reply with quote

If LLVM is a build-time dependency only, then merely building mesa elsewhere and installing it as a regular binpkg should be sufficient, without the need to define a special media-libs/mesa-bin::lightweight-overlay package. If LLVM is a runtime dependency, then you will not get out of installing LLVM libraries, and the question is merely how you want to install them, which machine will build them, and which package will own them.
Back to top
View user's profile Send private message
mike155
Advocate
Advocate


Joined: 17 Sep 2010
Posts: 2486
Location: Frankfurt, Germany

PostPosted: Sun Sep 20, 2020 4:14 pm    Post subject: Reply with quote

I filed a bug: https://bugs.gentoo.org/743757
Back to top
View user's profile Send private message
Ionen
Veteran
Veteran


Joined: 06 Dec 2018
Posts: 1437

PostPosted: Sun Sep 20, 2020 4:24 pm    Post subject: Reply with quote

mike155 wrote:
I filed a bug: https://bugs.gentoo.org/743757
Guess missed my earlier post that mentioned the already-filled bug :(

While new in stable, it's not new in ::gentoo and change was done on 2020-06-20, so unsurprisingly already been done.

Edit: had sphinx installed since July because of that myself, thankfully my weak+low-storage server box is spared from it given it uses binpkgs and only the remote build chroot has sphinx (some stuff it uses rely on clang/llvm/rust despite no GUI environment), having a stronger machine to handle all those build-only deps for the weaker ones sure is handy (personally rather not rely on distcc and the like, chroot/qemu to make binpkgs is nice if possible).
Back to top
View user's profile Send private message
mike155
Advocate
Advocate


Joined: 17 Sep 2010
Posts: 2486
Location: Frankfurt, Germany

PostPosted: Sun Sep 20, 2020 4:46 pm    Post subject: Reply with quote

Ionen wrote:
Guess missed my earlier post that mentioned the already-filled bug :(

Yes, sorry! I read this thread AFTER I filed the bug. And Gentoo's bug search didn't show me https://bugs.gentoo.org/733656, because it is closed...
Back to top
View user's profile Send private message
Ionen
Veteran
Veteran


Joined: 06 Dec 2018
Posts: 1437

PostPosted: Sun Sep 20, 2020 4:49 pm    Post subject: Reply with quote

mike155 wrote:
Yes, sorry! I read this thread AFTER I filed the bug. And Gentoo's bug search didn't show me https://bugs.gentoo.org/733656, because it is closed...
I see, well no biggie :) You can use "ALL ..." keyword in quicksearch to see closed bugs as well, list can end up long but if look only at recent'ish bugs will typically find duplicates.
Back to top
View user's profile Send private message
simonvanderveldt
Tux's lil' helper
Tux's lil' helper


Joined: 26 Jan 2016
Posts: 124

PostPosted: Sun Sep 20, 2020 8:31 pm    Post subject: Reply with quote

The deps pulled in by LLVM are quiet annoying and unnecessary, I've never looked at a LLVM man page and if that very hypothetical situation would occur in the future I'll just look it up online.
Seems like the only way around it is to main your own copy of the LLVM ebuilds with the man generation stripped out :( Far from ideal of course, now we'd all need to maintain our own ebuilds just to remove a build time option (i.e. what we have USE flags for).
I don't know what the intent was of the man pages changes from the QA team but I don't think this is what we should want. I've posted in the initial bug, let's see if we can get the man USE flag back.
Back to top
View user's profile Send private message
eccerr0r
Watchman
Watchman


Joined: 01 Jul 2004
Posts: 7618
Location: almost Mile High in the USA

PostPosted: Mon Sep 21, 2020 5:25 pm    Post subject: Reply with quote

Would be nice if closed-duplicate would still list if the duplicate bug is still open by default...

I have my qualms too about bugs that are closed-wontfix ... these technically are still "open" but won't be fixed ...
_________________
Intel Core i7 2700K@ 4.1GHz/HD3000 graphics/8GB DDR3/180GB SSD
What am I supposed watching?
Back to top
View user's profile Send private message
Anon-E-moose
Watchman
Watchman


Joined: 23 May 2008
Posts: 5003
Location: Dallas area

PostPosted: Mon Sep 21, 2020 6:05 pm    Post subject: Reply with quote

Code:
    $(python_gen_any_dep '
        dev-python/sphinx[${PYTHON_USEDEP}]
        doc? ( dev-python/recommonmark[${PYTHON_USEDEP}] )
    ')"


This is the part that pulls in sphinx, it now gets included whether you use doc or not.

it should go something like this

Code:
    doc? ( $(python_gen_any_dep '
        dev-python/sphinx[${PYTHON_USEDEP}]
        dev-python/recommonmark[${PYTHON_USEDEP}]
    ') )"


Then sphinx wouldn't be pulled in unless you specifially asked for documentation.

Edit to add: Debian offers a nice pkg of just the doc (html format) would be easy enough to use if you want doc. I didn't check other distros, but they should be similar.

ETA2: you also need to change this line in the ebuild
Code:
         -DLLVM_ENABLE_SPHINX=ON

set to OFF
_________________
PRIME x570-pro, 3700x, RX 550 - 5.8 zen kernel
Acer E5-575 (laptop), i3-7100u - i965 - 5.5 zen kernel
---both---
gcc 9.3.0, profile 17.1 (no-pie & modified) amd64-no-multilib, eudev, openrc, openbox, palemoon


Last edited by Anon-E-moose on Mon Sep 21, 2020 6:31 pm; edited 1 time in total
Back to top
View user's profile Send private message
figueroa
l33t
l33t


Joined: 14 Aug 2005
Posts: 869
Location: Lower right-hand corner USA

PostPosted: Mon Sep 21, 2020 6:20 pm    Post subject: Reply with quote

So it really is a thoughtless bug. Even though I get sphinx and all its dependencies, I still don't get docs. But, if I add +doc as a use flag, I get a downgrade to sphinx + new additional new packages, commonmark and recommonmark. :-(
_________________
Andy Figueroa
andy@andyfigueroa.net Working with Unix since 1983.
Back to top
View user's profile Send private message
Anon-E-moose
Watchman
Watchman


Joined: 23 May 2008
Posts: 5003
Location: Dallas area

PostPosted: Mon Sep 21, 2020 6:37 pm    Post subject: Reply with quote

figueroa wrote:
So it really is a thoughtless bug. Even though I get sphinx and all its dependencies, I still don't get docs. But, if I add +doc as a use flag, I get a downgrade to sphinx + new additional new packages, commonmark and recommonmark. :-(


You should get man pages without the doc flag (or the ebuild is screwier than I thought) ((unless recommonmark is needed for man pages too)) but for html doc you need the doc flag.

Personally if I say no doc then I shouldn't get any, not even manpages.
_________________
PRIME x570-pro, 3700x, RX 550 - 5.8 zen kernel
Acer E5-575 (laptop), i3-7100u - i965 - 5.5 zen kernel
---both---
gcc 9.3.0, profile 17.1 (no-pie & modified) amd64-no-multilib, eudev, openrc, openbox, palemoon
Back to top
View user's profile Send private message
dmpogo
Advocate
Advocate


Joined: 02 Sep 2004
Posts: 2918
Location: Canada

PostPosted: Mon Sep 21, 2020 6:42 pm    Post subject: Reply with quote

Ionen wrote:
dmpogo wrote:
And here it is, llvm-10.0.1 is stable, with sphinx outside doc USE flag. Do you know why ?
For man pages it seems (which are "supposed" to be available regardless of USE), there was bug #733656 open about that but it was shot down pretty quick.

mgorny (who did this change to clang/llvm) was actually the one to suggest a compromise to use a tarball with prebuilt man pages when it adds extra dependencies, but guess tired of the idea with sphinx now :| So it's less choices, and more deps -- bonus when people didn't even want/use the man pages.



I looked at distfiles before upgrading and llvm-10.0.0 exactly that, had a separate tarball with man pages. Hard to understand why the idea to distribute man page sources from which they should be generated is superior to distributing man pages themselves.


Funny thing, now I have spinx + deps for llvm man-pages, which I do not need since llvm is used only blindly by mesa, where I do not need even the whole llvm for mesa either, since I use nvidia-drivers, and where I actually do not need even mesa itself as well, since again, I use nvidia-drivers.

So sphinx + llvm + mesa, not only I do not need all that subsystem, but at every 'connection' I do not need what is being added. So my solution for now is to recompile mesa with '-llvm' wherever I use nvidia-drivers, and ditch llvm altogether.
As far I can see llvm is not yet needed for intel drivers including iris, so I can do it for my laptop as well. At least until something else will need llvm.


Last edited by dmpogo on Mon Sep 21, 2020 6:58 pm; edited 1 time in total
Back to top
View user's profile Send private message
figueroa
l33t
l33t


Joined: 14 Aug 2005
Posts: 869
Location: Lower right-hand corner USA

PostPosted: Mon Sep 21, 2020 6:52 pm    Post subject: Reply with quote

Code:
$ emerge -pv llvm

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R    ] sys-devel/llvm-10.0.1:10::gentoo  USE="libffi ncurses xml -debug -doc -exegesis -gold -libedit -test -xar -z3" ABI_X86="(64) -32 (-x32)" LLVM_TARGETS="AMDGPU BPF NVPTX (X86) -AArch64 -ARC -ARM -AVR -Hexagon -Lanai -MSP430 -Mips -PowerPC -RISCV -Sparc -SystemZ -WebAssembly -XCore" 0 KiB

Total: 1 package (1 reinstall), Size of downloads: 0 KiB

Code:
$ man llvm
No manual entry for llvm

_________________
Andy Figueroa
andy@andyfigueroa.net Working with Unix since 1983.
Back to top
View user's profile Send private message
Anon-E-moose
Watchman
Watchman


Joined: 23 May 2008
Posts: 5003
Location: Dallas area

PostPosted: Mon Sep 21, 2020 7:28 pm    Post subject: Reply with quote

There isn't manpage "llvm" try llvm-ar or one of the other routines or look in /usr/lib/llvm/<version #>/share/man/man1
_________________
PRIME x570-pro, 3700x, RX 550 - 5.8 zen kernel
Acer E5-575 (laptop), i3-7100u - i965 - 5.5 zen kernel
---both---
gcc 9.3.0, profile 17.1 (no-pie & modified) amd64-no-multilib, eudev, openrc, openbox, palemoon
Back to top
View user's profile Send private message
figueroa
l33t
l33t


Joined: 14 Aug 2005
Posts: 869
Location: Lower right-hand corner USA

PostPosted: Mon Sep 21, 2020 8:00 pm    Post subject: Reply with quote

Right,
Code:
$ ls /usr/lib/llvm/10/share/man/man1
bugpoint.1.bz2         llvm-cxxmap.1.bz2     llvm-pdbutil.1.bz2
dsymutil.1.bz2         llvm-diff.1.bz2       llvm-profdata.1.bz2
FileCheck.1.bz2        llvm-dis.1.bz2        llvm-ranlib.1.bz2
lit.1.bz2              llvm-dwarfdump.1.bz2  llvm-readelf.1.bz2
llc.1.bz2              llvm-exegesis.1.bz2   llvm-readobj.1.bz2
lli.1.bz2              llvm-extract.1.bz2    llvm-size.1.bz2
llvm-addr2line.1.bz2   llvm-lib.1.bz2        llvm-stress.1.bz2
llvm-ar.1.bz2          llvm-link.1.bz2       llvm-strings.1.bz2
llvm-as.1.bz2          llvm-lipo.1.bz2       llvm-strip.1.bz2
llvm-bcanalyzer.1.bz2  llvm-locstats.1.bz2   llvm-symbolizer.1.bz2
llvm-build.1.bz2       llvm-mca.1.bz2        opt.1.bz2
llvm-config.1.bz2      llvm-nm.1.bz2         tblgen.1.bz2
llvm-cov.1.bz2         llvm-objcopy.1.bz2
llvm-cxxfilt.1.bz2     llvm-objdump.1.bz2


I would have never known what to look for. On the other hand, why would I care? I don't actually USE llvm.
_________________
Andy Figueroa
andy@andyfigueroa.net Working with Unix since 1983.
Back to top
View user's profile Send private message
Anon-E-moose
Watchman
Watchman


Joined: 23 May 2008
Posts: 5003
Location: Dallas area

PostPosted: Mon Sep 21, 2020 8:11 pm    Post subject: Reply with quote

This is what I did to get 10.0.1 to build without sphinx, et al BUT you get NO doc (manpages, html, etc) with the -doc flag.

Code:
--- /usr/portage/sys-devel/llvm/llvm-10.0.1.ebuild   2020-09-20 16:39:28.000000000 -0500
+++ /usr/local/portage/sys-devel/llvm/llvm-10.0.1.ebuild   2020-09-21 15:04:30.776423391 -0500
@@ -59,10 +59,10 @@
       >=sys-devel/binutils-apple-5.1
    )
    libffi? ( virtual/pkgconfig )
-   $(python_gen_any_dep '
+   doc? ( $(python_gen_any_dep '
       dev-python/sphinx[${PYTHON_USEDEP}]
-      doc? ( dev-python/recommonmark[${PYTHON_USEDEP}] )
-   ')"
+      dev-python/recommonmark[${PYTHON_USEDEP}] ')
+   )"
 # There are no file collisions between these versions but having :0
 # installed means llvm-config there will take precedence.
 RDEPEND="${RDEPEND}
@@ -77,10 +77,9 @@
 )
 
 python_check_deps() {
-   if use doc; then
-      has_version -b "dev-python/recommonmark[${PYTHON_USEDEP}]" ||
-         return 1
-   fi
+   use doc || return 0
+
+   has_version -b "dev-python/recommonmark[${PYTHON_USEDEP}]" &&
    has_version -b "dev-python/sphinx[${PYTHON_USEDEP}]"
 }
 
@@ -276,14 +275,15 @@
          # python modules
          opt-viewer
 
+      )
+      use doc && out+=(
+         docs-llvm-html
+
          # manpages
          docs-dsymutil-man
          docs-llvm-dwarfdump-man
          docs-llvm-man
       )
-      use doc && out+=(
-         docs-llvm-html
-      )
 
       use gold && out+=(
          LLVMgold
@@ -363,9 +363,9 @@
 
    if multilib_is_native_abi; then
       mycmakeargs+=(
-         -DLLVM_BUILD_DOCS=ON
+         -DLLVM_BUILD_DOCS=$(usex doc)
          -DLLVM_ENABLE_OCAMLDOC=OFF
-         -DLLVM_ENABLE_SPHINX=ON
+         -DLLVM_ENABLE_SPHINX=$(usex doc)
          -DLLVM_ENABLE_DOXYGEN=OFF
          -DLLVM_INSTALL_UTILS=ON
          -DCMAKE_INSTALL_MANDIR="${EPREFIX}/usr/lib/llvm/${SLOT}/share/man"
@@ -464,7 +464,7 @@
       LDPATH="$( IFS=:; echo "${LLVM_LDPATHS[*]}" )"
    _EOF_
 
-   docompress "/usr/lib/llvm/${SLOT}/share/man"
+#   docompress "/usr/lib/llvm/${SLOT}/share/man"
 }
 
 pkg_postinst() {

_________________
PRIME x570-pro, 3700x, RX 550 - 5.8 zen kernel
Acer E5-575 (laptop), i3-7100u - i965 - 5.5 zen kernel
---both---
gcc 9.3.0, profile 17.1 (no-pie & modified) amd64-no-multilib, eudev, openrc, openbox, palemoon
Back to top
View user's profile Send private message
iandoug
l33t
l33t


Joined: 11 Feb 2005
Posts: 606
Location: Cape Town, South Africa

PostPosted: Fri Sep 25, 2020 6:44 pm    Post subject: Reply with quote

figueroa wrote:
I noticed this morning, with all of the extra dev-python dependencies. Rats. Progress in the fast lane. I've let them install, but it's not feeling good.


Mmm... lucky you .. I have a ton of clashes so browsing for clues ...

Python has become Excessively Annoying.
_________________
Asus Sabertooth P990, AMD FX-8150, GeForce GTX 560, 16GB Ram
Back to top
View user's profile Send private message
figueroa
l33t
l33t


Joined: 14 Aug 2005
Posts: 869
Location: Lower right-hand corner USA

PostPosted: Fri Sep 25, 2020 7:31 pm    Post subject: Reply with quote

For the short term, I have a remote server where I masked 10.0.1. I'll wait and see with regard to that one.
_________________
Andy Figueroa
andy@andyfigueroa.net Working with Unix since 1983.
Back to top
View user's profile Send private message
Anon-E-moose
Watchman
Watchman


Joined: 23 May 2008
Posts: 5003
Location: Dallas area

PostPosted: Fri Sep 25, 2020 7:55 pm    Post subject: Reply with quote

I only use llvm because mesa pulls it in, and mesa doesn't care 9.* or 10.*
_________________
PRIME x570-pro, 3700x, RX 550 - 5.8 zen kernel
Acer E5-575 (laptop), i3-7100u - i965 - 5.5 zen kernel
---both---
gcc 9.3.0, profile 17.1 (no-pie & modified) amd64-no-multilib, eudev, openrc, openbox, palemoon
Back to top
View user's profile Send private message
Tony0945
Advocate
Advocate


Joined: 25 Jul 2006
Posts: 4292
Location: Illinois, USA

PostPosted: Fri Sep 25, 2020 8:09 pm    Post subject: Reply with quote

Anon-E-moose wrote:
I only use llvm because mesa pulls it in, and mesa doesn't care 9.* or 10.*

Ditto. I'd like to get rid of mesa too. It's bloated also.
Back to top
View user's profile Send private message
Ionen
Veteran
Veteran


Joined: 06 Dec 2018
Posts: 1437

PostPosted: Fri Sep 25, 2020 8:17 pm    Post subject: Reply with quote

Tony0945 wrote:
I'd like to get rid of mesa too. It's bloated also.
I always find it a bit funny when I emerge mesa-progs without mesa installed, and glxgears/eglgears/es2gears all work fine :roll:

But that requires trading for a bigger evil with nvidia-drivers (libraries), libglvnd (headers), a xorg workaround, and mesa in package.provided :( (and I already know most of you aren't using nvidia-drivers otherwise wouldn't need USE=llvm on mesa)

I still need clang/llvm for other things anyway though (both for other packages and testing my own code with different toolchains).
Back to top
View user's profile Send private message
pjp
Administrator
Administrator


Joined: 16 Apr 2002
Posts: 18593

PostPosted: Sat Oct 17, 2020 9:37 pm    Post subject: Reply with quote

Anon-E-moose wrote:
This is what I did to get 10.0.1 to build without sphinx, et al BUT you get NO doc (manpages, html, etc) with the -doc flag.

Code:
--- /usr/portage/sys-devel/llvm/llvm-10.0.1.ebuild   2020-09-20 16:39:28.000000000 -0500
+++ /usr/local/portage/sys-devel/llvm/llvm-10.0.1.ebuild   2020-09-21 15:04:30.776423391 -0500
@@ -59,10 +59,10 @@
       >=sys-devel/binutils-apple-5.1
    )
    libffi? ( virtual/pkgconfig )
-   $(python_gen_any_dep '
+   doc? ( $(python_gen_any_dep '
       dev-python/sphinx[${PYTHON_USEDEP}]
-      doc? ( dev-python/recommonmark[${PYTHON_USEDEP}] )
-   ')"
+      dev-python/recommonmark[${PYTHON_USEDEP}] ')
+   )"
 # There are no file collisions between these versions but having :0
 # installed means llvm-config there will take precedence.
 RDEPEND="${RDEPEND}
@@ -77,10 +77,9 @@
 )
 
 python_check_deps() {
-   if use doc; then
-      has_version -b "dev-python/recommonmark[${PYTHON_USEDEP}]" ||
-         return 1
-   fi
+   use doc || return 0
+
+   has_version -b "dev-python/recommonmark[${PYTHON_USEDEP}]" &&
    has_version -b "dev-python/sphinx[${PYTHON_USEDEP}]"
 }
 
@@ -276,14 +275,15 @@
          # python modules
          opt-viewer
 
+      )
+      use doc && out+=(
+         docs-llvm-html
+
          # manpages
          docs-dsymutil-man
          docs-llvm-dwarfdump-man
          docs-llvm-man
       )
-      use doc && out+=(
-         docs-llvm-html
-      )
 
       use gold && out+=(
          LLVMgold
@@ -363,9 +363,9 @@
 
    if multilib_is_native_abi; then
       mycmakeargs+=(
-         -DLLVM_BUILD_DOCS=ON
+         -DLLVM_BUILD_DOCS=$(usex doc)
          -DLLVM_ENABLE_OCAMLDOC=OFF
-         -DLLVM_ENABLE_SPHINX=ON
+         -DLLVM_ENABLE_SPHINX=$(usex doc)
          -DLLVM_ENABLE_DOXYGEN=OFF
          -DLLVM_INSTALL_UTILS=ON
          -DCMAKE_INSTALL_MANDIR="${EPREFIX}/usr/lib/llvm/${SLOT}/share/man"
@@ -464,7 +464,7 @@
       LDPATH="$( IFS=:; echo "${LLVM_LDPATHS[*]}" )"
    _EOF_
 
-   docompress "/usr/lib/llvm/${SLOT}/share/man"
+#   docompress "/usr/lib/llvm/${SLOT}/share/man"
 }
 
 pkg_postinst() {
Thanks.

It hasn't been long, but anyone notice any problems by going this route?

The disappointing trend continues.
_________________
Your lips move, but I can't hear what you're saying.
Back to top
View user's profile Send private message
dmpogo
Advocate
Advocate


Joined: 02 Sep 2004
Posts: 2918
Location: Canada

PostPosted: Sat Oct 17, 2020 10:16 pm    Post subject: Reply with quote

Honestly speaking, I do not understand why man pages should be packaged in a new markup language making it user responsibility to convert them, instead of being packaged in native roff.
Back to top
View user's profile Send private message
Ionen
Veteran
Veteran


Joined: 06 Dec 2018
Posts: 1437

PostPosted: Sat Oct 17, 2020 10:18 pm    Post subject: Reply with quote

dmpogo wrote:
Honestly speaking, I do not understand why man pages should be packaged in a new markup language making it user responsibility to convert them, instead of being packaged in native roff.
Well normally that's the work of distro packagers and not users that use the final built copy. That something used haskell and pandoc to build man pages won't matter to the average end user.

We're just weird and have users build everything from source, and turns out man pages have sources too.

Edit: Although if the idea that gentoo maintainers should build man pages themselves in the event that they add extra dependencies was rejected (can still be done, but only if maintainer is willing -- and in this case stated that no longer is), then allowing USE=man to exist would make sense, oh well. For my server sphinx adds _28_ packages by itself for clang/llvm man pages I've never read, nothing else need those 28 packages (on my desktop it's 24).


Last edited by Ionen on Sat Oct 17, 2020 10:34 pm; edited 1 time in total
Back to top
View user's profile Send private message
dmpogo
Advocate
Advocate


Joined: 02 Sep 2004
Posts: 2918
Location: Canada

PostPosted: Sat Oct 17, 2020 10:31 pm    Post subject: Reply with quote

Ionen wrote:
dmpogo wrote:
Honestly speaking, I do not understand why man pages should be packaged in a new markup language making it user responsibility to convert them, instead of being packaged in native roff.
Well normally that's the work of packagers and not users that use the final built copy. That something used haskell and pandoc to build man pages won't matter to the average end user.

We're just weird and have users build everything.


Well, one thing is distribution of sources to build locally optimized binaries, the other is distribution of ASCII text files somehow not in format 'man' system that is going to use them needs them to be.
I would understand if every user was choosing between different alternatives of viewing man-pages, but we are populating the same /usr/share/man directories and type the same 'man'.
If a developer wants to write his docs in rst - sure, his choice, but it is 2 sec of CPU to convert them to roff before packaging. You know rst and roff looks almost the same, why should I get first and not the second ?
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Gentoo Chat All times are GMT
Goto page Previous  1, 2, 3  Next
Page 2 of 3

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum